package com.tofly.xrtygis.custom.service.zsdata;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dataquery.WaterPlanSearch;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/4/27 15:37
 */
public interface DataQueryService {
    IPage<Map> getWaterPlanValue(HttpServletResponse response, Page page, WaterPlanSearch search);

    IPage<Map> getWaterRealityValue(HttpServletResponse response,Page page, WaterPlanSearch search);

    List<Map> getWaterPlanUnit(HttpServletResponse response,WaterPlanSearch search);

    List<Map> getWaterRealUnit(HttpServletResponse response,WaterPlanSearch search);

    IPage<Map> getProduceMaterialsPlan(HttpServletResponse response, Page page, WaterPlanSearch search);

    IPage<Map> getProduceMaterialsReality(HttpServletResponse response, Page page, WaterPlanSearch search);

    IPage<Map> getProduceCostPlan(HttpServletResponse response, Page page, WaterPlanSearch search);

    IPage<Map> getProduceCostReality(HttpServletResponse response, Page page, WaterPlanSearch search);

    List<Map> getTargetPricePlan(HttpServletResponse response,  WaterPlanSearch search);

    List<Map> getTargetPriceReality(HttpServletResponse response,  WaterPlanSearch search);
}
